#ifndef __STATES__MAP_EDITOR_STATE_H__
#define __STATES__MAP_EDITOR_STATE_H__

#include "BaseState.h"

class MapEditorState : public BaseState
{
public:
    void Enter(Engine& engine) override;
    void Exit(Engine& engine) override;
    void HandleEvents(Engine& engine, SDL_Event& event) override;
    void Update(Engine& engine, float dt) override;
    void Render(Engine& engine) override;
    void RenderImGui(Engine& engine) override;
    
    std::string GetName() const override { return "MapEditorState"; }
    
private:

};

#endif